%define version 1.17
%define release 2mdk

Name: freecraft
Version: %{version}
Release: %{release}
Source:  freecraft-010513.tar.bz2
Source1: fcraft-0.15.tar.bz2
Source2: freecraft_sounds.tar.bz2
Source3: Rules.make.bz2
Source4: freecraft16.xpm.bz2
Source5: freecraft32.xpm.bz2
Source6: freecraft48.xpm.bz2
Patch0: freecraft-patch-missile.bz2
Summary: Warcraft II clone
Group: Games/Strategy
License: GPL
BuildRoot: %{_tmppath}/freecraft-%{version}-root
URL: http://www.freecraft.org

%description
FreeCraft is a free fantasy real-time strategy game engine.

It is a clone of the real-time fantasy strategy game W*rCr*ft II

%prep
%setup -n freecraft-010513
%patch0 -p1 -b missile
bzcat %{SOURCE3} > Rules.make
tar xvfj %{SOURCE1}
mv fcraft freecraft-data
cd freecraft-data
tar xvfj %{SOURCE2}

%build
make

# build a wrapper...
mv freecraft freecraft.real
cat > freecraft <<EOF
#!/bin/bash
cd /usr/share/games/freecraft/default
/usr/games/freecraft.real \$@
EOF


# This is for the menu...
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/freecraft <<EOF
?package(freecraft):command="/usr/bin/freecraft -F" needs="x11" \
section="Amusement/Boards" title="Freecraft" icon="freecraft.xpm" \
longtitle="Freecraft"
EOF
#install icons
mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir}}
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_miconsdir}/freecraft.xpm
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_iconsdir}/freecraft.xpm
bzcat %{SOURCE6} > $RPM_BUILD_ROOT%{_liconsdir}/freecraft.xpm

%install

mkdir -p $RPM_BUILD_ROOT/usr/games/
install -m 755 freecraft.real $RPM_BUILD_ROOT/usr/games/freecraft.real
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 freecraft $RPM_BUILD_ROOT%{_bindir}/freecraft

rm freecraft-data/data/graphic/tilesets/swamp/human/buildings/castle.png
rm freecraft-data/data/graphic/tilesets/swamp/human/buildings/town_hall.png
rm freecraft-data/data/graphic/tilesets/swamp/human/buildings/inventor.png
rm freecraft-data/data/graphic/tilesets/swamp/human/buildings/cannon_tower.png
rm freecraft-data/data/graphic/tilesets/swamp/human/buildings/foundry.png
rm freecraft-data/data/graphic/tilesets/swamp/human/buildings/lumber_mill.png
rm freecraft-data/data/graphic/tilesets/swamp/human/buildings/oil_well.png
rm freecraft-data/data/graphic/tilesets/swamp/human/buildings/guard_tower.png
rm freecraft-data/data/graphic/tilesets/swamp/human/buildings/refinery.png
rm freecraft-data/data/graphic/tilesets/swamp/human/buildings/scout_tower.png
rm freecraft-data/data/graphic/tilesets/swamp/human/buildings/shipyard.png
rm freecraft-data/data/graphic/tilesets/swamp/alliance/buildings/lumber_mill.png
rm freecraft-data/data/graphic/tilesets/swamp/alliance/buildings/temple_of_the_damned.png
rm freecraft-data/data/graphic/tilesets/swamp/alliance/buildings/foundry.png
rm freecraft-data/data/graphic/tilesets/swamp/alliance/buildings/oil_well.png
rm freecraft-data/data/graphic/tilesets/swamp/alliance/buildings/blacksmith.png
rm freecraft-data/data/graphic/tilesets/swamp/alliance/buildings/refinery.png
rm freecraft-data/data/graphic/tilesets/swamp/alliance/buildings/cannon_tower.png
rm freecraft-data/data/graphic/tilesets/swamp/alliance/buildings/scout_tower.png
rm freecraft-data/data/graphic/tilesets/swamp/alliance/buildings/shipyard.png
rm freecraft-data/data/graphic/tilesets/swamp/alliance/buildings/dragon_roost.png
rm freecraft-data/data/graphic/tilesets/swamp/alliance/buildings/alter_of_storms.png
rm freecraft-data/data/graphic/tilesets/swamp/alliance/buildings/orge_mound.png
rm freecraft-data/data/graphic/tilesets/swamp/alliance/farm.png
rm freecraft-data/data/graphic/tilesets/wasteland/alliance/buildings/lumber_mill.png
rm freecraft-data/data/graphic/tilesets/wasteland/alliance/buildings/farm.png
rm freecraft-data/data/graphic/tilesets/wasteland/alliance/buildings/oil_well.png
rm freecraft-data/data/graphic/tilesets/wasteland/human/buildings/lumber_mill.png
rm freecraft-data/data/graphic/tilesets/wasteland/human/buildings/oil_well.png


mkdir -p $RPM_BUILD_ROOT/usr/share/games/freecraft/default/data
cp -pfR freecraft-data/data/* $RPM_BUILD_ROOT/usr/share/games/freecraft/default/data/

chmod -R a+r $RPM_BUILD_ROOT/usr/share/games/freecraft/default/data/*

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,0755)
%doc doc/*
%{_bindir}/freecraft
/usr/games/freecraft.real
%{_datadir}/games/freecraft/default/data/*
%{_menudir}/freecraft
%{_miconsdir}/freecraft.xpm
%{_iconsdir}/freecraft.xpm
%{_liconsdir}/freecraft.xpm

%changelog
* Tue Jul 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.17-2mdk
- rebuild
- url

* Mon May 28 2001 DindinX <odin@mandrakesoft.com> 1.17-1mdk
- corrected version!
- build with SDL
- small spec fixes
- added sounds
- added doc

* Fri May 25 2001 DindinX <odin@mandrakesoft.com> 0.14-1mdk
- first mandrake release
